Bug 216632 - NM connects to both wired and wireless
NM connects to both wired and wireless
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 04:41 EST by Simon Goodall
Modified: 2008-05-06 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:53:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NM failing to bring up wired connection (53.47 KB, text/plain)
2006-11-27 07:10 EST, James
no flags Details
Yet another log excerpt (28.66 KB, text/plain)
2006-12-12 06:17 EST, James
no flags Details

  None (edit)
Description Simon Goodall 2006-11-21 04:41:05 EST
Description of problem:
Since upgrading to FC6, NM has had problems connecting to the wired network on
my machine. It hangs waiting for an IP address (normally obtained when the NM
service starts). If I then click on a wireless network option it then gets an
address and tells me its connected to the wired network. The list of networks
then show *both* the wired and wireless network as selected. The connection
information shows 0.0.0.0 throughout.
In this state some network services work e.g. web access but printing does not.
The is probably due to our wireless network being more restricted than the wired
network.

I have to disable wireless and restart NM and I think re-modprobed my wired
driver to get it working again.


I have a dell inspiron 8500. My wired card used the b44 driver and my wireless
card uses the ipw2200 driver.

In FC5 NM would have already connected to the wired network by the time I logged in.

Version-Release number of selected component (if applicable):
NetworkManager-0.6.4-5.fc6

How reproducible:
Often (always? -- most network activities are still working so not always
accessing the ones that don't)

Steps to Reproduce:
1. See description
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 James 2006-11-27 07:09:09 EST
A-ha! I see the same problem, but the the 8139too driver module. It seems a bit
intermittent, tends to happen more with my place-of-work network. For
comparison, I've a notebook I keep at home that has the RTL-8139 and disabled
Broadcom 4306 chipsets, but this one has not problems connecting to the home
wired network.

I've attached the relevant log extracts. Curiously, you'll note that line 197
states "DHCPRELEASE on eth1 to 192.168.192.2 port 67". eth1 is my ipw2200
wireless, and 192.168.192.2 is the address of my home DHCP server. However, this
machine was started from cold in the office today.
Comment 2 James 2006-11-27 07:10:03 EST
Created attachment 142163 [details]
NM failing to bring up wired connection
Comment 3 James 2006-11-29 07:29:53 EST
Actually, looking at the following lines in that log extract...

Nov 27 11:47:59 harmony NetworkManager: <information>	Activation
(__tmp1804289383) Stage 3 of 5 (IP Configure Start) complete. 
Nov 27 11:47:59 harmony NetworkManager: <information>	DHCP daemon state is now 1
(starting) for interface __tmp1804289383 
Nov 27 11:47:59 harmony dhclient: Bind socket to interface: No such device
Nov 27 11:47:59 harmony dhclient: exiting.
Nov 27 11:47:59 harmony dhcdbd: Unrequested down ?:3

I think __tmp1804289383 is what udev called the 8139too device before it's
brought up by NetworkManager. When 8139too is reloaded, it's named eth0 and then
the DHCP client works OK. This could be a udev problem...
Comment 4 James 2006-12-04 12:24:27 EST
As a work-around, I've created the file /etc/udev/rules.d/010-netnames.rules
(found on some web-site somewhere) with the content

KERNEL=="eth*", SYSFS{address}=="<wired-mac-address>", NAME=eth0
KERNEL=="eth*", SYSFS{address}=="<wireless-mac-address>", NAME=eth1

which seems to have improved things for me...
Comment 5 James 2006-12-12 06:17:36 EST
Created attachment 143377 [details]
Yet another log excerpt
Comment 6 James 2006-12-12 06:19:25 EST
I spoke too soon... didn't really work. Adding an /etc/iftab and moving
010-netnames.rules to 61-netnames.rules worked for about a week, then it broke
again. Looks like dhclient is having trouble with the long __tmp name.
Comment 7 Bug Zapper 2008-04-04 00:50:27 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 12:53:43 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.